﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace XDGListCollectionViewPropChangeCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer timer;
        Random r = new Random();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();

            timer = new DispatcherTimer();
            timer.Interval = new TimeSpan(0, 0, 1);
            timer.Tick += Timer_Tick;
            timer.Start();
        }

        private void Timer_Tick(object sender, EventArgs e)
        {
            if(xdg1 != null)
            {
                DataRecord record = xdg1.Records[r.Next(0, xdg1.Records.Count)] as DataRecord;
                SampleData sd = record.DataItem as SampleData;
                sd.Number = r.Next(1000);
            }
        }
    }
}
